=== debian/changelog ===
shc (3.8.7-2) unstable; urgency=medium

  * Fix ptraceable directive so that it can work out of box under Ubuntu

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 07 Sep 2014 03:15:49 +0000

shc (3.8.7-1) unstable; urgency=low

  * Initial Debian Release (Closes: #735946)

 -- Tong Sun <suntong001@users.sourceforge.net>  Tue, 14 Jan 2014 17:25:58 -0500
