## shc 3.8.9b

=== debian/changelog ===
shc (3.8.9b-1) unstable; urgency=low

  * new upstream release (3.8.9b)
  * bump up Standards-Version to 3.9.6
  * remove change-Makefile-for-Debian.diff patch
  * add change-makefile-for-Debian.diff patch
  * drop debian/README.source as the 3.8.9 bug has been fixed

 -- Tong Sun <suntong001@users.sourceforge.net>  Wed, 16 Sep 2015 03:22:50 +0000
