## shc 3.9.6

=== debian/changelog ===
shc (3.9.6-1) unstable; urgency=medium

  * Fix for infinite loop (Closes: #861180)
  * Fix issue #36 (at https://github.com/neurobin/shc/issues/36)
  * Fix issue #38 (at https://github.com/neurobin/shc/issues/38)

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 08 Jul 2018 15:11:21 -0400
