=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/shc-$1.tar.gz/,\
pgpsigurlmangle=s/archive.*\//releases\/download\//;\
s/v?(\d\S*)\.tar\.gz/$1\/shc-$1.tar.gz/;\
s/$/.asc/ \
  https://github.com/neurobin/shc/tags .*/v?(\d\S*)\.tar\.gz
