=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Tong Sun <suntong001@users.sourceforge.net>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.5
-Homepage: http://neurobin.github.io/shc
-Vcs-Git: https://github.com/neurobin/shc.git
-Vcs-Browser: https://github.com/neurobin/shc.git
+Build-Depends: debhelper-compat (= 13), ash, ksh, rc, tcsh, zsh
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://neurobin.org/projects/softwares/unix/shc/
+Vcs-Browser: https://salsa.debian.org/debian/shc
+Vcs-Git: https://salsa.debian.org/debian/shc.git
 
 Package: shc
 Architecture: any
