=== debian/rules ===
#!/usr/bin/make -f

devi := $(shell lsb_release -r -s | cut -d '.'  -f1)
ifeq ($(shell if [ $(devi) -gt 5 ] ; then echo gt ; else echo lt ; fi),gt)
   DEBVE2=yes
else
   DEBVE2=no
endif


ifeq ($(DEBVE2),yes)
%:
	dh $@  --with autotools_dev


override_dh_auto_test:
	dh_auto_test || true

else
%:
	dh $@

override_dh_auto_test:
	true

endif

override_dh_auto_clean:
	dh_auto_clean || true
