=== debian/tests/control ===
Test-Command: shc -A
Restrictions: allow-stderr

Test-Command: shc -C
Restrictions: allow-stderr

Test-Command: shc -h
Restrictions: allow-stderr
