=== debian/watch ===
version=4
https://github.com/neurobin/shc/releases .*/archive/(?:shc-|v)?(\d\S+)\.tar\.(?:bz2|gz|xz)
