## shc cgi-bin-20250801

=== Makefile ===
# Makefile for shc and sunah programs
# Miroslav Broz (miroslav.broz@email.cz), Jan 6th 2005

# installation directories (change them to $(HOME)/shc,
# if you do not have root privilegs)
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/lib/shc
DOCDIR = $(PREFIX)/doc/shc
MANDIR = $(PREFIX)/man/man1

# this is the FINAL library directory (set this variable correctly in shc.spec and debian/rules!)
LIBSRC = $(LIBDIR)
SHCDEST = $(DOCDIR)/demo

# compiler and options
F77 = gfortran
FFLAGS = -O3

# necessary object files
obj = a.o

# temporary data files
dat =	analema.dat analema_prumet.dat \
	azimut_prumet.dat azimut_rysky.dat \
	ciselnik.dat ciselnik.plt \
	datum.dat datum_prumet.dat \
	hodin.dat hodin_okraj.dat hodin_prumet.dat hodin_rysky.dat \
	horiz.dat horiz_rysky.dat \
	korekce.dat nodus.dat \
	temporal_prumet.dat temporal_rysky.dat \
	vychod_prumet.dat vychod_rysky.dat \
	vyska_prumet.dat \
	zapad_prumet.dat zapad_rysky.dat \
	popisky.dat popisky.plt popisky.ps \
	shc.out shc.png shc.ps shc.eps shc_A4.ps \
	shc.tmp shc_A4.tmp shc.zip \
	sunah.in

all : shcnox sunah shc

shcnox : shcnox.f $(obj)
	$(F77) $(FFLAGS) $(obj) -o $@ $<

sunah : sunah.f $(obj)
	$(F77) $(FFLAGS) $(obj) -o $@ $<

shc : shc.tcl FORCE
	./libsrc.awk $(LIBSRC) shc.tcl > shc
	chmod +x shc
	./cstocs.sh

$(obj) : %.o:%.f
	$(F77) $(FFLAGS) -c $<

install: all
	install -d $(BINDIR) $(LIBDIR) $(DOCDIR) $(MANDIR) $(SHCDEST)
	install shcnox sunah shc shc_eps.awk shc_A4.awk popisky.awk $(BINDIR)
	install -m 644 README HISTORY shc.in sunah.in_example azed.pl azed.in doc/* $(DOCDIR)
	install -m 644 demo/*.shc $(SHCDEST)
	install -m 644 README shc.dat shc_x11.plt shc.gif Luxi.pfa $(LIBDIR)
	./libsrc.awk $(LIBSRC) shc.plt > $(LIBDIR)/shc.plt
	chmod 644 $(LIBDIR)/shc.plt
	install gnuplot gnuplot_x11 $(LIBDIR)
	gzip -c shc.1 > shc.1.gz
	install -m 644 shc.1.gz $(MANDIR)

dist : all clean
	./dist.sh

clean : FORCE
	rm -f $(obj) $(dat)
	cd windows/; rm -f $(dat)

mrproper: clean
	rm -f shcnox sunah shc
	rm -f shc.1.gz
	rm -rf debian/shc

FORCE :
